org.apache.solr.client.solrj.io.stream.metrics

## Class MeanMetric

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.metrics.Metric
  - - org.apache.solr.client.solrj.io.stream.metrics.MeanMetric

All Implemented Interfaces:
  Expressible

    public class MeanMetric
    extends Metric

### Constructor Summary

Constructors
Constructor and Description
`MeanMetric(StreamExpression expression, StreamFactory factory)`
`MeanMetric(String columnName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getColumns()`
`Double` `getValue()`
`Metric` `newInstance()`
`StreamExpressionParameter` `toExpression(StreamFactory factory)`
`void` `update(Tuple tuple)`

### Methods inherited from class org.apache.solr.client.solrj.io.stream.metrics.Metric

`getFunctionName, getIdentifier, getMetricNodeId, setFunctionName, setIdentifier, setIdentifier, toExplanation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MeanMetric

    public MeanMetric(String columnName)

#### MeanMetric

    public MeanMetric(StreamExpression expression,
                      StreamFactory factory)
               throws IOException

Throws:
  `IOException`

### Method Detail

#### update

    public void update(Tuple tuple)

Specified by:
  `update` in class `Metric`

#### newInstance

    public Metric newInstance()

Specified by:
  `newInstance` in class `Metric`

#### getColumns

    public String[] getColumns()

Specified by:
  `getColumns` in class `Metric`

#### getValue

    public Double getValue()

Specified by:
  `getValue` in class `Metric`

#### toExpression

    public StreamExpressionParameter toExpression(StreamFactory factory)
                                           throws IOException

Throws:
  `IOException`